@echo off
title Add Exclusion Windows Defender _ Soft98.iR
setlocal EnableDelayedExpansion
set ver=v2
set soft98echo=~~~~~~~~~~~~~~~~~~~~~~ Soft98.iR ~~~~~~~~~~~~~~~~~~~~~~
net session >nul 2>&1
if errorlevel 1 (
    echo Requesting admin privileges...
    powershell -Command "Start-Process -FilePath '%~f0' -Verb RunAs"
    exit /b
)
color 0B & mode con:cols=90 lines=25
echo.&@echo          лллллл   ллллллл  лллллллл лллллллл  ллллллл   ллллллл      лллл лллллллл  &@echo         лл    лл лл     лл лл          лл    лл     лл лл     лл      лл  лл     лл &@echo         лл       лл     лл лл          лл    лл     лл лл     лл      лл  лл     лл &@echo          лллллл  лл     лл лллллл      лл     лллллллл  ллллллл       лл  лллллллл  &@echo               лл лл     лл лл          лл           лл лл     лл      лл  лл   лл   &@echo         лл    лл лл     лл лл          лл    лл     лл лл     лл ллл  лл  лл    лл  &@echo          лллллл   ллллллл  лл          лл     ллллллл   ллллллл  ллл лллл лл     лл  &echo.&@echo         лллллллллллллллллллллллллллллллллллллллллллллллллллллллллллллллллллллллллллл&echo.&echo.
echo.
for /f "tokens=4-5 delims=. " %%i in ('ver') do (
    set "winVerMajor=%%i"
)
if %winVerMajor% GEQ 10 (
    set "isWin10=1"
) else (
    set "isWin10=0"
)
set "pathFound=false"

if %isWin10% equ 1 (
    for /f "tokens=3" %%a in ('sc query WinDefend ^| find "STATE"') do (
        if %%a==4 (
            for %%P in (
                "C:\Program Files\Internet Download Manager\IDMan.exe"
                "C:\Program Files (x86)\Internet Download Manager\IDMan.exe"
            ) do (
                if exist %%~P (
                    powershell -Command "Add-MpPreference -ExclusionProcess '%%~P' -Force"
                    echo    Successfully added exclusion to Windows Defender   
                    echo - %%P
                    set "pathFound=true"
                )
            )
            echo.
            if "!pathFound!"=="false" (
                echo    WARNING   
                echo - File or folder not found
                echo - No exclusions were added.
            )
        ) else (
            echo    ERROR   
            echo - Windows Anti-virus is not active OR You're using a different anti-virus
        )
    )
) else (
    echo Error: 
	echo Windows Defender exclusions only supported on Windows 10/11
)
    echo.
    echo %soft98echo%
    echo.
<nul set /p=Press any key to Exit
pause >nul